Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# hdrinline.h File Reference

Go to the source code of this file.

## Functions
static HV_t | h2hv (Header h)
static Header | headerNew (void)
static Header | headerFree (Header h)
static Header | headerLink (Header h)
static Header | headerUnlink (Header h)
static void | headerSort (Header h)
static void | headerUnsort (Header h)
static unsigned int | headerSizeof (Header h, enum hMagic magicp)
static void * | headerUnload (Header h)
static Header | headerReload (Header h, int tag)
static Header | headerCopy (Header h)
static Header | headerLoad (void *uh)
static Header | headerCopyLoad (const void *uh)
static Header | headerRead (FD_t fd, enum hMagic magicp)
static int | headerWrite (FD_t fd, Header h, enum hMagic magicp)
static int | headerIsEntry (Header h, int_32 tag)
static void * | headerFreeTag (Header h, const void *data, rpmTagType type)
static int | headerGetEntry (Header h, int_32 tag, hTYP_t type, void **p, hCNT_t c)
static int | headerGetEntryMinMemory (Header h, int_32 tag, hTYP_t type, hPTR_t *p, hCNT_t c)
static int | headerAddEntry (Header h, int_32 tag, int_32 type, const void *p, int_32 c)
static int | headerAppendEntry (Header h, int_32 tag, int_32 type, const void *p, int_32 c)
static int | headerAddOrAppendEntry (Header h, int_32 tag, int_32 type, const void *p, int_32 c)
static int | headerAddI18NString (Header h, int_32 tag, const char *string, const char *lang)
static int | headerModifyEntry (Header h, int_32 tag, int_32 type, const void *p, int_32 c)
static int | headerRemoveEntry (Header h, int_32 tag)
static char * | headerSprintf (Header h, const char *fmt, const struct headerTagTableEntry_s *tbltags, const struct headerSprintfExtension_s *extensions, errmsg_t *errmsg)
static void | headerCopyTags (Header headerFrom, Header headerTo, hTAG_t tagstocopy)
static HeaderIterator | headerFreeIterator (HeaderIterator hi)
static HeaderIterator | headerInitIterator (Header h)
static int | headerNextIterator (HeaderIterator hi, hTAG_t tag, hTYP_t type, hPTR_t *p, hCNT_t c)
## Variables
HV_s * | hdrVec = &hdrVec1

## Detailed Description

Definition in file hdrinline.h.